tigase.jaxmpp.core.client

## Interface XmppSessionLogic

- All Known Implementing Classes:
    AbstractSocketXmppSessionLogic, BoshXmppSessionLogic, SocketInBandRegistrationXmppSessionLogic, SocketXmppSessionLogic, WebSocketXmppSessionLogic

      public interface XmppSessionLogic

  Interface for classes with session logic.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `XmppSessionLogic.SessionListener` Interface for session listener.
    `static interface` | `XmppSessionLogic.XmppSessionEstablishedHandler`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeStart()` Method executed just before login process is started.
    `void` | `setSessionListener(XmppSessionLogic.SessionListener listener)` Set XmppSessionLogic.SessionListener.
    `void` | `unbind()` In this method implementation must unregister all previously registered listeners.

- - ### Method Detail

    - #### beforeStart

          void beforeStart()
                    throws JaxmppException

      Method executed just before login process is started. In this method implementation should register listeners.
      Throws:
        `JaxmppException`

    - #### setSessionListener

          void setSessionListener(XmppSessionLogic.SessionListener listener)
                           throws JaxmppException

      Set XmppSessionLogic.SessionListener.
      Parameters:
        `listener` - XmppSessionLogic.SessionListener
      Throws:
        `JaxmppException`

    - #### unbind

          void unbind()
               throws JaxmppException

      In this method implementation must unregister all previously registered listeners.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.